Generate Consolidated E-Way Bill

This API is used to generate Consolidated E-Way bills. The details and parameters of the requests and responses are explained.

Validations

  • EWB can be added to the CEWB if the generator of CEWB is a generator or the assigned transporter of the e-way bill.
  • EWB can be added to the CEWB only if the e-way bill is active, that is, not cancelled.
  • EWB can be added to the CEWB only if the e-way bill is within validity period, that is validity is not expired.
  • If vehicle number is passed, the format of the vehicle number should be valid and as per the format.
  • In case of road as a transportation mode , the vehicle number should be passed and transport document number is optional.
  • In case of rail, air or ship as a transportation mode, the transport document number is must.

Important Links

Run in Postman

Body Params

“data” JSON (corresponds to the data element of Generate Consolidated E-WAY BILL Request)

{
  "fromPlace":"BANGALORE SOUTH",
  "fromState":29,
  "vehicleNo":"KA12AB1234",
  "transMode":"1",
  "transDocNo":"1234",
  "transDocDate":"12/10/2017",
  "tripSheetEwbBills":
  [
    { "ewbNo":"111000609282" },
    { "ewbNo":"181000609270" }
  ]
}
string
required

Action type

string
required

Encrypted Consolidated E-way bill JSON string - Encrypt (Base64(Request JSON),sek)

Headers
string
required

GSTIN of Requester (Tax payer or Transporter)

string
required

Username of Tax payer

string
required

Authentication token returned by the E-way bill system

Responses

405

Method not allowed

500

Internal Server Error

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json